module Mock.Arguments (
      badCustomArticles
    , badCustomPages
    , bothCustom
    , bothDefault
    , customArticles
    , customArticlesDefaultPages
    , customPages
    , customPagesDefaultArticles
    , defaultArticles
    , defaultPages
    , emptyBlog
  ) where

import Arguments (Arguments(..))
import Utils (testDataPath)

defaultArticles :: Arguments
defaultArticles = BlogConfig {
      sourceDir = testDataPath "Structure/defaultArticles"
    , articlesPath = Nothing
    , bannerPath = Nothing
    , cardImage = Nothing
    , commentsURL = Nothing
    , favicon = Nothing
    , headPath = Nothing
    , name = Nothing
    , openGraphCards = False
    , pagesPath = Nothing
    , previewArticlesCount = 3
    , previewLinesCount = 10
    , remarkableConfig = Nothing
    , rss = False
    , siteURL = Nothing
    , wording = Nothing
  }

defaultPages :: Arguments
defaultPages = defaultArticles {
    sourceDir = testDataPath "Structure/defaultPages"
  }

bothDefault :: Arguments
bothDefault = defaultArticles {
    sourceDir = testDataPath "Structure/both"
  }

emptyBlog :: Arguments
emptyBlog = defaultArticles {
    sourceDir = testDataPath "Structure/custom"
  }

customArticles :: Arguments
customArticles = emptyBlog {
    articlesPath = Just "customArticles"
  }

customArticlesDefaultPages :: Arguments
customArticlesDefaultPages = bothDefault {
    articlesPath = Just "customArticles"
  }

customPages :: Arguments
customPages = emptyBlog {
    pagesPath = Just "customPages"
  }

customPagesDefaultArticles :: Arguments
customPagesDefaultArticles = bothDefault {
    pagesPath = Just "customPages"
  }

bothCustom :: Arguments
bothCustom = customArticles {
    pagesPath = Just "customPages"
  }

badCustomArticles :: Arguments
badCustomArticles = bothDefault {
    articlesPath = Just "missingDirectory"
  }

badCustomPages :: Arguments
badCustomPages = bothDefault {
    pagesPath = Just "missingDirectory"
  }
