module Mock.Blog.Path (
      bothCustom
    , bothDefault
    , customArticles
    , customArticlesDefaultPages
    , customPages
    , customPagesDefaultArticles
    , defaultArticles
    , defaultPages
  ) where

import Blog.Path (Path(..))

defaultArticles :: Path
defaultArticles = Path {
      articlesPath = Just "articles"
    , pagesPath = Nothing
    , remarkableConfig = Nothing
    , root = "test/Structure/defaultArticles"
  }

defaultPages :: Path
defaultPages = Path {
      articlesPath = Nothing
    , pagesPath = Just "pages"
    , remarkableConfig = Nothing
    , root = "test/Structure/defaultPages"
  }

bothDefault :: Path
bothDefault = Path {
      articlesPath = Just "articles"
    , pagesPath = Just "pages"
    , remarkableConfig = Nothing
    , root = "test/Structure/both"
  }

customArticles :: Path
customArticles = Path {
      articlesPath = Just "customArticles"
    , pagesPath = Nothing
    , remarkableConfig = Nothing
    , root = "test/Structure/custom"
  }

bothCustom :: Path
bothCustom = customArticles {
    pagesPath = Just "customPages"
  }

customPages :: Path
customPages = bothCustom {
    articlesPath = Nothing
  }

customArticlesDefaultPages :: Path
customArticlesDefaultPages = bothDefault {
      articlesPath = Just "customArticles"
    , pagesPath = Just "pages"
  }

customPagesDefaultArticles :: Path
customPagesDefaultArticles = customArticlesDefaultPages {
      articlesPath = Just "articles"
    , pagesPath = Just "customPages"
  }
